Bug 1146583 - "Ignore" button is disabled always under "Discovery Queue"
Summary: "Ignore" button is disabled always under "Discovery Queue"
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: UI
Version: JON 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ER05
: JON 3.3.0
Assignee: Libor Zoubek
QA Contact: Armine Hovsepyan
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-25 14:51 UTC by Jeeva Kandasamy
Modified: 2015-11-02 00:44 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-12-11 14:05:15 UTC


Attachments (Terms of Use)
Ignore-button (74.93 KB, image/jpeg)
2014-09-25 14:51 UTC, Jeeva Kandasamy
no flags Details
ignore_button (116.42 KB, image/png)
2014-10-22 11:32 UTC, Armine Hovsepyan
no flags Details

Description Jeeva Kandasamy 2014-09-25 14:51:04 UTC
Created attachment 941108 [details]
Ignore-button

Description of problem:
"Ignore" button is disabled always under "Discovery Queue". 

Version-Release number of selected component (if applicable):
JBoss Operations Network
Version : 3.3.0.ER03
Build Number : 4aefe39:44e33a4
GWT Version : 2.5.0
SmartGWT Version : 3.0p


Browser: Firefox 32.0

How reproducible:
always

Steps to Reproduce:
1. After successfully install, Login in to JBoss ON 3.3 ER03
2. Navigate to 'Inventory->Discovery Queue' 
3. Select any resource(s) listed under 'Discovery Queue'
4. 'Ignore' button is disabled.

Actual results:
'Ignore' button is disabled.

Expected results:
'Ignore' button should be enabled if we select any resource.

Additional info: Screen shot is attached.

Comment 1 Libor Zoubek 2014-09-29 10:04:41 UTC
This is not a regression, this behavior exists for ages. Ignore button does not enable in case you select Platform which is not yet committed or any resource under platform which is not yet committed.

Comment 2 Libor Zoubek 2014-09-29 13:28:33 UTC
branch:  master
link:    https://github.com/rhq-project/rhq/commit/b4b0238a2
time:    2014-09-29 15:20:49 +0200
commit:  b4b0238a2351928e4613e98309192ea3fe3a4eb3
author:  Libor Zoubek - lzoubek@redhat.com
message: Bug 1146583 - "Ignore" button is disabled always under "Discovery Queue"

         Previous logic of enabling/disabling "Ignore" button tried to
         prevent situation, that user could ignore a NEW platform and/or
         it's child. Previous logic would not work in case user also
         selected at least another resource that "could" be ignored (a
         child of imported platform).

         Now user can ignore MEW platform as well or it's child. If
         platform is IGNORED it's not possible (at least from UI) to
         import it's NEW children.

Comment 3 Jirka Kremser 2014-10-03 11:42:30 UTC
branch:  release/jon3.3.x
link:    https://github.com/rhq-project/rhq/commit/827f53444
time:    2014-10-03 13:37:45 +0200
commit:  827f534442e68b02724ab8a1d098ae3914bc4c16
author:  Libor Zoubek - lzoubek@redhat.com
message: Bug 1146583 - "Ignore" button is disabled always under "Discovery Queue"

         Previous logic of enabling/disabling "Ignore" button tried to
         prevent situation, that user could ignore a NEW platform and/or
         it's child. Previous logic would not work in case user also
         selected at least another resource that "could" be ignored (a
         child of imported platform).

         Now user can ignore MEW platform as well or it's child. If
         platform is IGNORED it's not possible (at least from UI) to
         import it's NEW children.

         (cherry picked from commit
         b4b0238a2351928e4613e98309192ea3fe3a4eb3) Signed-off-by: Jirka
         Kremser <jkremser@redhat.com>

Comment 4 Simeon Pinder 2014-10-21 20:24:40 UTC
Moving to ON_QA as available to test with the latest brew build:
https://brewweb.devel.redhat.com//buildinfo?buildID=394734

Comment 5 Armine Hovsepyan 2014-10-22 11:32:50 UTC
Created attachment 949351 [details]
ignore_button

Comment 6 Armine Hovsepyan 2014-10-22 11:33:23 UTC
verified in JON 3.3 ER05
screen-shot attached


Note You need to log in before you can comment on or make changes to this bug.